#
#   - Test::Pod::Coverage -
#   This spec file was automatically generated by cpan2rpm [ver: 2.027]
#   (ALT Linux revision)
#   The following arguments were used:
#       --spec-only Test::Pod::Coverage
#   For more information on cpan2rpm please visit: http://perl.arix.com/
#

%define module Test-Pod-Coverage
%define m_distro Test-Pod-Coverage
%define m_name Test::Pod::Coverage
%define m_author_id unknown
%define _enable_test 1

Name: perl-Test-Pod-Coverage
Version: 1.08
Release: alt2

Summary: Test-Pod-Coverage - Check for pod coverage in your distribution

License: Artistic
Group: Development/Perl
Url: http://www.cpan.org

Packager: Vitaly Lipatov <lav@altlinux.ru>

BuildArch: noarch
Source: http://search.cpan.org/CPAN/authors/id/P/PE/PETDANCE/%m_distro-%version.tar.bz2

# Automatically added by buildreq on Sat Nov 11 2006
BuildRequires: perl-Pod-Coverage perl-Test-Pod

%description
Checks for POD coverage in files for your distribution.

    use Test::Pod::Coverage tests=>1;
    pod_coverage_ok( "Foo::Bar", "Foo::Bar is covered" );

Can also be called with Pod::Coverage parms.

    use Test::Pod::Coverage tests=>1;
    pod_coverage_ok(
        "Foo::Bar",
        { also_private => [ qr/^[A-Z_]+$/ ], },
        "Foo::Bar, with all-caps functions as privates",
    );

The Pod::Coverage parms are also useful for subclasses that don't
re-document the parent class's methods.  Here's an example from
Mail::SRS.

    pod_coverage_ok( "Mail::SRS" ); # No exceptions

    # Define the three overridden methods.
    my $trustme = { trustme => [qr/^(new|parse|compile)$/] };
    pod_coverage_ok( "Mail::SRS::DB", $trustme );
    pod_coverage_ok( "Mail::SRS::Guarded", $trustme );
    pod_coverage_ok( "Mail::SRS::Reversable", $trustme );
    pod_coverage_ok( "Mail::SRS::Shortcut", $trustme );

If you want POD coverage for your module, but don't want to make
Test::Pod::Coverage a prerequisite for installing, create the following
as your t/pod-coverage.t file:

    use Test::More;
    eval "use Test::Pod::Coverage";
    plan skip_all => "Test::Pod::Coverage required for testing pod coverage" if $@;

    plan tests => 1;
    pod_coverage_ok( "Pod::Master::Html");

Finally, Module authors can include the following in a t/pod-coverage.t
file and have "Test::Pod::Coverage" automatically find and check all
modules in the module distribution:

    use Test::More;
    eval "use Test::Pod::Coverage 1.00";
    plan skip_all => "Test::Pod::Coverage 1.00 required for testing POD coverage" if $@;
    all_pod_coverage_ok();

%prep
%setup -q -n %m_distro-%version
%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/*
%perl_vendor_man3dir/*

%changelog
* Sat Nov 11 2006 Vitaly Lipatov <lav@altlinux.ru> 1.08-alt2
- fix buildreq

* Thu Jun 29 2006 Vitaly Lipatov <lav@altlinux.ru> 1.08-alt1
- new version (fix bug #9741)
- update Source Url, add Changes

* Fri Sep 02 2005 Vitaly Lipatov <lav@altlinux.ru> 1.06-alt1
- first build for ALT Linux Sisyphus
